- Overview
- Reference Guide
- Setup & Architecture
- Release Notes
- Workflow
- API Reference
- Integration Guide
- Discovery Agent Setup Guide
Watcher Groups
The Watcher Groups endpoints create and manage groups of users who receive notifications for a certificate, and assign those groups to certificates.
Endpoints
| Method | Endpoint | Description |
|---|---|---|
| GET | /watcherGroups/all | List watcher groups. |
| POST | /watcherGroups/assign | Assign watcher groups to certificate. |
| GET | /watcherGroups/cert | Groups assigned to certificate. |
| POST | /watcherGroups/create | Create watcher group. |
| DELETE | /watcherGroups/delete/{group_id} | Delete watcher group. |
| POST | /watcherGroups/remove | Remove watcher groups from certificate. |
| PUT | /watcherGroups/update/{group_id} | Update watcher group. |
| GET | /watcherGroups/users/{department} | Users for group by department. |
| GET | /watcherGroups/{group_id} | Get watcher group. |
GET /watcherGroups/all
Lists the watcher groups.
Example Request
curl -X GET "https://<certsecure-backend-url>/watcherGroups/all" \
-H "Authorization: Bearer <token>"
Example Response
[
{
"groupId": 2,
"name": "DiscoveryWatchers",
"department": "guest",
"description": "Used to watch for expiry in discovered certificates",
"members": [
"[email protected]",
"[email protected]"
],
"createdBy": "[email protected]",
"createdOn": "2026-06-26T19:58:23.443000"
}
]
Responses
| Status Code | Description |
|---|---|
| 200 | Groups. |
POST /watcherGroups/assign
Assigns watcher groups to a certificate.
Request Body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
ca |
string | Yes | Name of the certificate authority (CA) as configured in CertSecure Manager. |
groupIds |
array of integer | Yes | IDs of the watcher groups. |
serialNumber |
string | Yes | Serial number of the certificate. |
Example Request
curl -X POST "https://<certsecure-backend-url>/watcherGroups/assign" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"ca": "string", "groupIds": ["string"], "serialNumber": "string"}'
Responses
| Status Code | Description |
|---|---|
| 200 | Assigned. |
GET /watcherGroups/cert
Returns the watcher groups assigned to a certificate.
Request Parameters
| Name | Located In | Type | Required | Description |
|---|---|---|---|---|
serialNumber |
Query | string | Yes | Serial number of the certificate. |
ca |
Query | string | Yes | Name of the certificate authority (CA) as configured in CertSecure Manager. |
Example Request
curl -X GET "https://<certsecure-backend-url>/watcherGroups/cert?serialNumber=<serialNumber>&ca=<ca>" \
-H "Authorization: Bearer <token>"
Example Response
{
"error": "serialNumber and ca query params are required"
}
Responses
| Status Code | Description |
|---|---|
| 200 | Groups. |
POST /watcherGroups/create
Creates a watcher group with the users that should receive notifications.
Request Body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
department |
string | Yes | Name of the department. |
description |
string | No | - |
members |
array of string | Yes | Non-empty list of user emails. |
name |
string | Yes | Name of the resource. |
Example Request
curl -X POST "https://<certsecure-backend-url>/watcherGroups/create" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"department": "string", "members": ["string"], "name": "string"}'
Responses
| Status Code | Description |
|---|---|
| 200 | The resource was created. |
DELETE /watcherGroups/delete/{group_id}
Deletes a watcher group.
Request Parameters
| Name | Located In | Type | Required | Description |
|---|---|---|---|---|
group_id |
Path | integer | Yes | ID of the watcher group. |
Example Request
curl -X DELETE "https://<certsecure-backend-url>/watcherGroups/delete/<group_id>" \
-H "Authorization: Bearer <token>"
Responses
| Status Code | Description |
|---|---|
| 200 | The resource was deleted. |
POST /watcherGroups/remove
Removes watcher groups from a certificate.
Request Body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
ca |
string | Yes | Name of the certificate authority (CA) as configured in CertSecure Manager. |
groupIds |
array of integer | Yes | IDs of the watcher groups. |
serialNumber |
string | Yes | Serial number of the certificate. |
Example Request
curl -X POST "https://<certsecure-backend-url>/watcherGroups/remove" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"ca": "string", "groupIds": ["string"], "serialNumber": "string"}'
Responses
| Status Code | Description |
|---|---|
| 200 | Removed. |
PUT /watcherGroups/update/{group_id}
Updates the name, description, or members of a watcher group.
Request Parameters
| Name | Located In | Type | Required | Description |
|---|---|---|---|---|
group_id |
Path | integer | Yes | ID of the watcher group. |
Request Body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
description |
string | No | - |
members |
array of string | No | - |
name |
string | No | Name of the resource. |
Example Request
curl -X PUT "https://<certsecure-backend-url>/watcherGroups/update/<group_id>" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"description": "string", "members": ["string"], "name": "string"}'
Responses
| Status Code | Description |
|---|---|
| 200 | The resource was updated. |
GET /watcherGroups/users/{department}
Returns the users of a department that can be added to a watcher group.
Request Parameters
| Name | Located In | Type | Required | Description |
|---|---|---|---|---|
department |
Path | string | Yes | Name of the department. |
Example Request
curl -X GET "https://<certsecure-backend-url>/watcherGroups/users/<department>" \
-H "Authorization: Bearer <token>"
Responses
| Status Code | Description |
|---|---|
| 200 | Users. |
GET /watcherGroups/{group_id}
Returns a watcher group.
Request Parameters
| Name | Located In | Type | Required | Description |
|---|---|---|---|---|
group_id |
Path | integer | Yes | ID of the watcher group. |
Example Request
curl -X GET "https://<certsecure-backend-url>/watcherGroups/<group_id>" \
-H "Authorization: Bearer <token>"
Responses
| Status Code | Description |
|---|---|
| 200 | Group. |